/* * * * * * * * * * * * * * *
 *  GENERAL
 * * * * * * * * * * * * * * */
html, body, main, #header .navbar {
    min-width: 300px;
}

.navbar-margin {
    padding-top: 80px;
}

.text-white-75 {
    color: rgba(255,255,255,.75)!important;
}

html {
    font-size: 1rem;
}

@media (min-width: 768px) { 
    html {
        font-size: 1.1rem;
    }
}

/* * * * * * * * * * * * * * *
 *  NAVIGATION
 * * * * * * * * * * * * * * */
#header a:hover span,
#header a:focus span,
#footer a:hover,
#footer a:focus  {
    text-decoration: underline;
}

#header .navbar-nav .nav-item:nth-last-child(1) .d-none,
#header .navbar-nav .nav-item:nth-last-child(2) .d-none  {
    display: none !important;
}

@media (max-width: 475px) {
    #header .brand-text {
        display: none;
    }
}

@media (max-width: 350px) {
    #header .navbar {
        padding-right: 0px;
        padding-left: 5px;
    }
}

/* * * * * * * * * * * * * * *
 *  FOOTER
 * * * * * * * * * * * * * * */
#footer small a {
    color: #fff;
    font-weight: bold;
}


/* * * * * * * * * * * * * * *
 *  COLLECTION
 * * * * * * * * * * * * * * */
.pagination {
    justify-content: center !important;
    margin: 1rem 0 2rem 0 !important;
    flex-wrap: wrap;
}

/* * * * * * * * * * * * * * *
 *  COLLECTION FILTER
 * * * * * * * * * * * * * * */
#items-filter .form-field {
    display: inline-block;
}

@media (max-width: 575px){
    #items-filter fieldset#filter .form-field {
        max-width: 48%;
        margin-right: 0;
    }
    #items-filter fieldset#sorting .form-field:first-child {
        max-width: 63%;
        margin-right: 0;
    }
    #items-filter fieldset#sorting .form-field:last-child {
        max-width: 33%;
        margin-right: 0;
    }
}

/* * * * * * * * * * * * * * *
 *  COLLECTION ITEM
 * * * * * * * * * * * * * * */
.collection .card {
    max-width: 300px;
}

.card-img-grid {
    display: grid;
    grid-template-rows: 50% 50%;
    grid-template-columns: 50% 50%;
}

.card-img-grid :only-child {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
}

.card-img-grid :first-child:nth-last-child(2),
.card-img-grid :first-child:nth-last-child(3),
.card-img-grid :last-child:nth-child(2) {
    grid-row: 1 / 3;
    padding-top: 1px;
    padding-bottom: 1px;
}

.card-img-grid .more-count::before {
    content: '+';
}

.card-img-grid .more-count {
    text-decoration: none;
    font-size: 2em;
    font-weight: bold;
    padding-top: 30%;
}

@media (max-width: 575px){
    .card-img-grid .more-count {
        padding-top: 1.5em;
        max-width: 150px;
    }
}

/* * * * * * * * * * * * * * *
 *  MODULAR
 * * * * * * * * * * * * * * */
.module.default section {
    max-width: 500px;
}

@media (max-width: 575px){
    .module.default section {
        max-width: 300px;
    } 
}

/* * * * * * * * * * * * * * *
 *  SINGLE
 * * * * * * * * * * * * * * */
#single.type-default {
    max-width: 750px;
}

#single > h1,
#single > h2,
#single > h3 {
    text-align: center;
}

#single > h3 {
    color: #6c757d;
}

#single-image .card-img-top {
    width: initial;
    max-width: 100%;

}

.card-body .scroll {
    overflow: auto;
    max-height: 75px;
}

.card-body .parts.scroll {
    max-height: 150px;
}

.card-body .parts .card {
    max-width: 100px;
}

.shape_2D_segments::after,
.shape_3D_segments::after {
    content: ' x ';
}

body.lang-de .shape_2D_segsize::after,
body.lang-de .shape_3D_segsize::after,
body.lang-de .pattern_1D_segsize::after,
body.lang-de .pattern_2D_segsize::after {
    content: ' Teile\A';
    white-space: pre;
}

body.lang-en .shape_2D_segsize::after,
body.lang-en .shape_3D_segsize::after,
body.lang-en .pattern_1D_segsize::after,
body.lang-en .pattern_2D_segsize::after {
    content: ' Parts\A';
    white-space: pre;
}

.stud_tilt_angle::after,
.stud_twist_angle::after {
    content: '°\A';
    white-space: pre;
}

.stud_shift_length::after,
.stud_lift_length::after {
    content: ' LDU\A';
    white-space: pre;
}

.module_type {
    text-transform: capitalize;
}

@media (min-width: 768px) {
    .border-md-left {
        border-left: 1px solid #dee2e6;
    }
    .border-md-top-0 {
        border-top: 0 !important;
    }
    .min-height-500 {
        min-height: 500px;
    }
}

@media (min-width: 768px) and (max-width: 991px) { 
    .card-body .related :nth-child(3){
        display: none;
    }

    .card-body .parts.scroll {
        max-height: 125px;
    }
}

.single footer.card-body > p:last-child{
    margin-bottom: 0;
}

.single.type-tech {
    border: 0 none;
}

/* * * * * * * * * * * * * * *
 *  FORMS
 * * * * * * * * * * * * * * */
 form .turing-test {
    visibility: hidden !important;
    position: absolute !important;
    height: 1px !important;
    width: 1px !important;
    overflow: hidden !important;
    clip: rect(1px, 1px, 1px, 1px) !important;
}

form .required {
    color: red;
}

form .w-100.dropzone {
    min-height: initial;
}

form .dropzone .dz-preview .dz-error-message{
    top: -60px;
}

form .dropzone .dz-preview .dz-error-message::after{
    bottom:-6px;
    top: initial;
    border-top:6px solid #be2626;
    border-bottom: initial;
}

.dz-error-mark svg #Oval-2{
    fill:red;
}

.dz-success-mark svg #Oval-2{
    fill:green;
}

.form-description {
    display: block;
    margin-top: .25rem;
    font-size: 80%;
    /* color: #6c757d; */
}